Subject: RE: [Ipsec] Question regarding IKE SA validity

From: [email-masked]
Date: Tue, 12 Jul 2005 14:51:34 +0300

Hi Yoav,

The "initial exchanges" include both IKE_SA_INIT and IKE_AUTH 
(Section 1.2 describing them is even titled "the initial exchanges").

BTW, why would an initiator want to send an INFORMATIONAL message 
at this point? Probably it's some kind of error message (since 
the message would be unauthenticated anyway), but none of the
notifications in Section 3.10.1 seem appropriate at this step...

Best regards,
Pasi

> -----Original Message-----
> From: Yoav Nir
> Sent: Tuesday, July 12, 2005 2:35 PM
> To: 'IPsec WG'
> Subject: [Ipsec] Question regarding IKE SA validity
> 
> 
> Hi.
> 
> Section 1.2 of draft -17 says on page 8, "At this point in the
> negotiation ... all but the headers of all the messages that follow
> are encrypted and integrity protected."  This is right after the
> IKE_SA_INIT exchange, but before the IKE_AUTH exchange.
> 
> Suppose at this point, the initiator needed to send an INFORMATIONAL
> exchange.  Would it be appropriate to use the encryption keys, or is
> this prohibited until the IKE_AUTH exchange completes successfully?
> IOW, when section 1.4 says "INFORMATIONAL exchange MUST ONLY occur
> after the initial exchanges" what do they mean by "initial
> exchanges"?  Is it only the IKE_SA_INIT, or the combination of
> IKE_SA_INIT and IKE_AUTH?
> 
> Thanks.
> 
> Yoav

_______________________________________________
Ipsec mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipsec

---

From: Yoav Nir <[email-masked]>
Date: Tue, 12 Jul 2005 15:14:59 +0300

Thanks.

The reason I asked was that I wasn't sure whether it was OK to move D-H 
derivation to the beginning of the IKE_AUTH exchange. This can reduce 
the load incurred by the responder if the initiator is trying to mount 
a DoS attack by sending single packets. It also follows the general 
principle of not computing it until you need it.

If there's no possibility of anyone using the half-open IKE SA before 
the IKE_AUTH is done, then the derivation can be safely moved.

Thanks again.

Yoav